> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Report Player

> Submit a report about a player (due to bad bahavior, etc.) on behalf of another player, so that customer service representatives for the title can take action concerning potentially toxic players.



## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/ReportPlayer
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/ReportPlayer:
    post:
      tags:
        - Player Item Management
      summary: Report Player
      description: >-
        Submit a report about a player (due to bad bahavior, etc.) on behalf of
        another player, so that customer service representatives for the title
        can take action concerning potentially toxic players.
      operationId: ReportPlayer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReportPlayerServerRequest'
      responses:
        '200':
          $ref: '#/components/responses/ReportPlayerServerResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    ReportPlayerServerRequest:
      type: object
      properties:
        Comment:
          description: Optional additional comment by reporting player.
          type: string
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        ReporteeId:
          description: Unique PlayFab identifier of the reported player.
          type: string
        ReporterId:
          description: PlayFabId of the reporting player.
          type: string
      required:
        - ReporterId
        - ReporteeId
      example:
        ReporterId: 9ddafe27d6d445da
        ReporteeId: 1a46086aed40f142
        Comment: cheating
    ReportPlayerServerResult:
      description: >-
        Players are currently limited to five reports per day. Attempts by a
        single user account to submit reports beyond five will result in Updated
        being returned as false.
      type: object
      properties:
        SubmissionsRemaining:
          description: >-
            The number of remaining reports which may be filed today by this
            reporting player.
          type: number
          x-actualtype: int32
      required:
        - SubmissionsRemaining
      example:
        SubmissionsRemaining: 2
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    ReportPlayerServerResult:
      description: >-
        Players are currently limited to five reports per day. Attempts by a
        single user account to submit reports beyond five will result in Updated
        being returned as false.
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ReportPlayerServerResult'
            example:
              code: 200
              status: OK
              data:
                SubmissionsRemaining: 2
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Report Player](/services/playfab/api-references/rest/server/player-item-management/report-player.md)
- [PFAccountManagementReportPlayerClientResult](/services/playfab/api-references/c/pfaccountmanagementtypes/structs/pfaccountmanagementreportplayerclientresult.md)
- [PFAccountManagementReportPlayerClientRequest](/services/playfab/api-references/c/pfaccountmanagementtypes/structs/pfaccountmanagementreportplayerclientrequest.md)
- [PFAccountManagementClientReportPlayerAsync](/services/playfab/api-references/c/pfaccountmanagement/functions/pfaccountmanagementclientreportplayerasync.md)
- [Report Ad Activity](/services/playfab/api-references/rest/client/advertising/report-ad-activity.md)
